Subject: Re: [bug#53623] [PATCH] gnu: mosh: Fix path to binaries.

From: Leo Famulari <[email-masked]>
Date: Sun, 30 Jan 2022 13:35:12 -0500

On Sun, Jan 30, 2022 at 11:14:55AM +0100, Michael Rohleder wrote:
> Leo Famulari <[email-masked]> writes:
> > Can you clarify the situation where it doesn't work? I'm using mosh as a
> > server on Guix System and it's working for me.
> 
> Interesting. On my guix system it currently does this:
> 
> ~$ mosh localhost
> bash: line 1: mosh-server: command not found
> Connection to localhost closed.
> /gnu/store/8xfhfr75svf6lw3fl4pnj47f31hz04lr-mosh-1.3.2/bin/.mosh-real: Did not find mosh server startup message. (Have you installed mosh on your server?)

I wonder, did you install mosh via config.scm? Or with `guix install
mosh`?

> It's the same for remote guix systems.
> 
> Well, atleast the patch would save spawning a subshell ;)

True, I think there's no harm with your patch.